Photo Supreme on Mac Connection error

Post Reply
rblink
Posts: 4
Joined: 12 Oct 17 22:45

Photo Supreme on Mac Connection error

Post by rblink » 12 Oct 17 23:24

I've read through as far as I can find in the support about connection issues, but can't get my Mac to talk to MSSQL server.

Scratching my head on this one.

SQL is 2016, which it didn't want to install on, but exported the SQL script and updated the commands that aren't available. It works great for the windows version, so I doubt that's the issue here.

Using just the database server name, get the Error 20009 Unable to connect: Adaptive Server is unavailable or does not exist.
Adding the Named Instance (MSSQLSERVER) gets me: Error 0:
Just using IP gets me: the 20009 error
Changing to IP + Named Instance gets me: Error 0:
There is no firewall on my workstation
Windows install works great.

rblink
Posts: 4
Joined: 12 Oct 17 22:45

Re: Photo Supreme on Mac Connection error

Post by rblink » 25 Oct 17 20:45

More information...

I got our server team to add an instance alias (the default instance name wasn't happy)

now we are trying xxx.xxx.153.117\sqlalias and xxx.xxx.153.117\sqlalias,1433 to no avail.

any ideas?

Hert
Posts: 20323
Joined: 13 Sep 03 7:24

Re: Photo Supreme on Mac Connection error

Post by Hert » 27 Oct 17 3:08

This is typically a DNS error. Try to google on the SQLServer error message. There are many possible solutions to be found.
This is a User-to-User forum which means that users post questions here for other users.
Feature requests, change suggestions, or bugs can be logged in the ticketing system

rblink
Posts: 4
Joined: 12 Oct 17 22:45

Re: Photo Supreme on Mac Connection error

Post by rblink » 08 Nov 17 21:55

DNS shouldn't be an issue due to using the IP addr.

rblink
Posts: 4
Joined: 12 Oct 17 22:45

Re: Photo Supreme on Mac Connection error

Post by rblink » 10 Nov 17 0:50

I just ran some experiments.

MS SQL Server 2016 - no connect
MS SQL Server 2017 - no connect

MS SQL Server 2014 - Connect success

Are the Mac Libraries not compatible with > 2014? Is this a feature that is coming?

Hert
Posts: 20323
Joined: 13 Sep 03 7:24

Re: Photo Supreme on Mac Connection error

Post by Hert » 10 Nov 17 9:45

The last supported version is currently SQLServer 2014. Of course newer versions might be supported in future updates.
This is a User-to-User forum which means that users post questions here for other users.
Feature requests, change suggestions, or bugs can be logged in the ticketing system

Post Reply